FreeMat

- Main Page
- Related Pages

vtkImageSpatialFilter

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageSpatialFilter is a super class for filters that operate on an input neighborhood for each output pixel. It handles even sized neighborhoods, but their can be a half pixel shift associated with processing. This superclass has some logic for handling boundaries. It can split regions into boundary and non-boundary pieces and call different execute methods. .SECTION Warning This used to be the parent class for most imaging filter in VTK4.x, now this role has been replaced by vtkImageSpatialAlgorithm. You should consider using vtkImageSpatialAlgorithm instead, when writing filter for VTK5 and above. This class was kept to ensure full backward compatibility. .SECTION See also vtkSimpleImageToImageFilter vtkImageToImageFilter vtkImageSpatialAlgorithm

To create an instance of class vtkImageSpatialFilter, simply invoke its constructor as follows

      obj = vtkImageSpatialFilter

# Methods

The class vtkImageSpatialFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSpatialFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSpatialFilter = obj.NewInstance ()`
- `vtkImageSpatialFilter = obj.SafeDownCast (vtkObject o)`
- `int = obj. GetKernelSize ()` - Get the Kernel size.
- `int = obj. GetKernelMiddle ()` - Get the Kernel middle.